com.tibbo.aggregate.common.action.command

## Class ShowSystemTree

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowSystemTree

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowSystemTree
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_CONTEXT_MENU`
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_NODE_CLICK_EXPRESSION`
    `static java.lang.String` | `CF_NODE_FILTER_EXPRESSION`
    `static java.lang.String` | `CF_RELATED_ACTIONS`
    `static java.lang.String` | `CF_ROOT`
    `static java.lang.String` | `CF_ROOTS`
    `static java.lang.String` | `CF_ROOTS_ROOT`
    `static java.lang.String` | `CF_SHOW_TOOLBAR`
    `static TableFormat` | `CFT_SHOW_SYSTEM_TREE`
    `static TableFormat` | `CFT_SHOW_SYSTEM_TREE_ROOTS`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowSystemTree()`
    `ShowSystemTree(java.lang.String title, Context root)`
    `ShowSystemTree(java.lang.String title, DataTable parameters)`
    `ShowSystemTree(java.lang.String title, java.lang.String... roots)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `java.lang.String` | `getNodeClickExpression()`
    `java.lang.String` | `getNodeFilterExpression()`
    `boolean` | `isContextMenu()`
    `boolean` | `isRelatedActions()`
    `boolean` | `isShowToolbar()`
    `void` | `setContextMenu(boolean contextMenu)`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setNodeClickExpression(java.lang.String nodeClickExpression)`
    `void` | `setNodeFilterExpression(java.lang.String nodeFilterExpression)`
    `void` | `setRelatedActions(boolean relatedActions)`
    `void` | `setShowToolbar(boolean showToolbar)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_ROOT

          public static final java.lang.String CF_ROOT

      See Also:
        Constant Field Values

    - #### CF_ROOTS

          public static final java.lang.String CF_ROOTS

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_RELATED_ACTIONS

          public static final java.lang.String CF_RELATED_ACTIONS

      See Also:
        Constant Field Values

    - #### CF_CONTEXT_MENU

          public static final java.lang.String CF_CONTEXT_MENU

      See Also:
        Constant Field Values

    - #### CF_SHOW_TOOLBAR

          public static final java.lang.String CF_SHOW_TOOLBAR

      See Also:
        Constant Field Values

    - #### CF_NODE_CLICK_EXPRESSION

          public static final java.lang.String CF_NODE_CLICK_EXPRESSION

      See Also:
        Constant Field Values

    - #### CF_NODE_FILTER_EXPRESSION

          public static final java.lang.String CF_NODE_FILTER_EXPRESSION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### CF_ROOTS_ROOT

          public static final java.lang.String CF_ROOTS_ROOT

      See Also:
        Constant Field Values

    - #### CFT_SHOW_SYSTEM_TREE_ROOTS

          public static final TableFormat CFT_SHOW_SYSTEM_TREE_ROOTS

    - #### CFT_SHOW_SYSTEM_TREE

          public static final TableFormat CFT_SHOW_SYSTEM_TREE

  - ### Constructor Detail

    - #### ShowSystemTree

          public ShowSystemTree()

    - #### ShowSystemTree

          public ShowSystemTree(java.lang.String title,
                                Context root)

    - #### ShowSystemTree

          public ShowSystemTree(java.lang.String title,
                                java.lang.String... roots)

    - #### ShowSystemTree

          public ShowSystemTree(java.lang.String title,
                                DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### isRelatedActions

          public boolean isRelatedActions()

    - #### setRelatedActions

          public void setRelatedActions(boolean relatedActions)

    - #### isContextMenu

          public boolean isContextMenu()

    - #### setContextMenu

          public void setContextMenu(boolean contextMenu)

    - #### isShowToolbar

          public boolean isShowToolbar()

    - #### setShowToolbar

          public void setShowToolbar(boolean showToolbar)

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getNodeClickExpression

          public java.lang.String getNodeClickExpression()

    - #### setNodeClickExpression

          public void setNodeClickExpression(java.lang.String nodeClickExpression)

    - #### getNodeFilterExpression

          public java.lang.String getNodeFilterExpression()

    - #### setNodeFilterExpression

          public void setNodeFilterExpression(java.lang.String nodeFilterExpression)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)